<template>
  <accordion-element id="Why does PeerTube use ActivityPub and WebRTC? Why not IPFS / DTube / Steemit?">
    <template #title>
      {{ $gettext('Why does PeerTube use ActivityPub and WebRTC? Why not IPFS / DTube / Steemit?') }}
    </template>

    <div>
      <p>
        <SafeHTML>
          {{ $gettext('PeerTube uses ActivityPub because this federation protocol is recommended by the W3C and is also used by other projects like the social network <a target="_blank" rel="noopener noreferrer" href="https://joinmastodon.org/">Mastodon</a>.', true) }}
        </SafeHTML>
      </p>

      <p>
        {{ $gettext('IPFS is a great technology, but it still seems too young for streaming large files.') }}

        <SafeHTML>
          {{ $gettext('The PeerTube P2P system based on well established protocols like HTTP and WebRTC, and the <a target="_blank" rel="noopener noreferrer" href="https://docs.joinpeertube.org/admin/following-instances#instances-redundancy">redundancy system</a> are more easy for us to use and to maintain.', true) }}
        </SafeHTML>
      </p>

      <p>
        {{ $gettext('DTube does not seem open source, because publishing only compiled code hinders freedom of modification.') }}
      </p>

      <p>
        {{ $gettext('PeerTube does not impose any remuneration model. This is the choice we have made, and others (like DTube) have made other choices. So it\'s up to you to see what suits you.') }}
      </p>
    </div>
  </accordion-element>
</template>

<script>
  import { defineComponent } from 'vue'

  import AccordionElement from '../shared/AccordionElement.vue'

  export default defineComponent({
    components: {
      AccordionElement
    }
  })
</script>
